package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

@ApiModel(
   value = "货品食安要求表",
   description = "货品食安要求表"
)
public class MenuMaterialFoodSafeConfigPageVO {
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("货品id")
   private Long materialId;
   @ApiModelProperty("是否检测(1是2否)")
   private Integer ifNeedDetect;
   @ApiModelProperty("检测机构(1自检,2供应商检,3自检或供应商检,4自检且供应商检)")
   private Integer detectInstitution;
   @ApiModelProperty("检测项目(1农残,2兽残,3真菌毒素)")
   private Integer detectItem;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Integer getIfNeedDetect() {
      return this.ifNeedDetect;
   }

   public Integer getDetectInstitution() {
      return this.detectInstitution;
   }

   public Integer getDetectItem() {
      return this.detectItem;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public MenuMaterialFoodSafeConfigPageVO setId(final Long id) {
      this.id = id;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setMaterialId(final Long materialId) {
      this.materialId = materialId;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setIfNeedDetect(final Integer ifNeedDetect) {
      this.ifNeedDetect = ifNeedDetect;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setDetectInstitution(final Integer detectInstitution) {
      this.detectInstitution = detectInstitution;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setDetectItem(final Integer detectItem) {
      this.detectItem = detectItem;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public MenuMaterialFoodSafeConfigPageVO setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
